Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 17 Oct 2017, 22:10
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
slacko-700 rc3
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 20 of 25 [374 Posts]   Goto page: Previous 1, 2, 3, ..., 18, 19, 20, 21, 22, 23, 24, 25 Next
Author Message
smokey01


Joined: 30 Dec 2006
Posts: 2649
Location: South Australia

PostPosted: Mon 17 Jul 2017, 04:02    Post subject: Re: slack-700
Subject description: Update failure
 

rameshiyer wrote:
Unable to update When I trying to update from Update Manger - latest from Slackware due to lack of space /temp?. ( Sorry, but there is no enough free space to down load to . Attempted download directory L/tmp. Partition is full. Delete etc.)

My partition is around 25GB. Full Installation of Slack . How to solve it.


It sounds like the savefile is full. Are you sure it's a full installation? If it is how much free space do you have free on the 25GB partition?

_________________
Software <-> Distros <-> Tips <-> Newsletters
Back to top
View user's profile Send private message Visit poster's website 
mavrothal


Joined: 24 Aug 2009
Posts: 2881

PostPosted: Mon 17 Jul 2017, 06:07    Post subject: Re: slack-700
Subject description: Update failure
 

rameshiyer wrote:
Unable to update When I trying to update from Update Manger - latest from Slackware due to lack of space /temp?. ( Sorry, but there is no enough free space to down load to . Attempted download directory L/tmp. Partition is full. Delete etc.)

Which slacko version are you using?
Slacko-6.9.9.9 (this tread) does NOT have an "update manager" application.
Slacko 6.3.x has.
Do you have 6.3.x, 6.9.x or a "hybrid"?

_________________
== Here is how to solve your Linux problems fast ==
Back to top
View user's profile Send private message 
rameshiyer

Joined: 17 Sep 2009
Posts: 251
Location: Calicut, Kerala, India

PostPosted: Wed 19 Jul 2017, 04:44    Post subject: Slack 6.9.9.9
Subject description: Update is not possible
 

I am using Quirky Slack 6.9.9. I have to check the disk space of the partition. It is around 25GB. I feel it is some technical glitch. I cannot check free disk space as I am away from home.
Back to top
View user's profile Send private message Yahoo Messenger MSN Messenger 
solex

Joined: 05 Sep 2014
Posts: 66

PostPosted: Tue 25 Jul 2017, 06:44    Post subject:  

Just finish installing on a Lenovo X61 also upgraded to a Samsung V-NAND SSD 850 EVO, flashed the BIOS using Middleton upgrade to double the SATA speed from 1.5 GBS to 3.0 GBS

quick before and after
Code:
hdparm -tT /dev/sda


BEFORE
Quote:
/dev/sda:
Timing buffer-cache reads: 2596 MB in 0.50 seconds = 5229474 kB/s
Timing buffered disk reads: 404 MB in 3.00 seconds = 137878 kB/s


AFTER
Quote:
/dev/sda:
Timing buffer-cache reads: 2690 MB in 0.50 seconds = 5418959 kB/s
Timing buffered disk reads: 793 MB in 3.00 seconds = 270427 kB/s


No problems so far, nice work and thank you


Question: How do you copy text from urvt to a text editor?

Last edited by solex on Tue 25 Jul 2017, 10:55; edited 1 time in total
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 9374
Location: Charleston S.C. USA

PostPosted: Tue 25 Jul 2017, 09:00    Post subject:  

Quote:
Question: How do you copy text from urvt to a text editor?

In urxvt
Copy --- highlight by using left mouse button hold and swipe.
paste --- middle mouse button click. If no middle button, click both buttons same time.

Also, in some programs, after you copy in urxvt.
The programs paste command will work to paste in that program.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
solex

Joined: 05 Sep 2014
Posts: 66

PostPosted: Tue 25 Jul 2017, 10:55    Post subject:  

Thanks again bigpup
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 238
Location: europa near northsea

PostPosted: Wed 26 Jul 2017, 06:26    Post subject: testing + xorg 1.19/Optimus  

First time I test a slacko. (Well I tried xslacko-slim a while ago.) I use 6.9.9.9 64bit k4.9.
I use it on an almost new lenovo ideapad. Booting from usb, all .sfs and savefile are on the SSD.
Wifi-connect with SNS. np
I like the possibility in Firefox to see just the essential of the webpage; I didn't know it yet, but that is also what I like(d) about Dillo.
I will be playing and testing with slacko for some time now.
It is fast, super fast and easy to use.

Just 1 question: would it be possible to go from xorg 1.18 to 1.19?
New machines have Optimus, for which there is better support in linux, only recently, but it needs xorg 1.19.
Read this:
https://ubuntuforums.org/showthread.php?t=2329171
https://devtalk.nvidia.com/default/topic/957814/linux/prime-and-prime-synchronization/
It would make slacko more attractive for new machines.
Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1248

PostPosted: Wed 26 Jul 2017, 09:36    Post subject: Re: testing + xorg 1.19/Optimus  

foxpup wrote:
Just 1 question: would it be possible to go from xorg 1.18 to 1.19?

There was a conversation about this earlier here, I tried to do a complete build with slacko-current for fun (but it's 32-bit)
http://www.murga-linux.com/puppy/viewtopic.php?p=959669#959669
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 238
Location: europa near northsea

PostPosted: Wed 26 Jul 2017, 11:42    Post subject: Re: testing + xorg 1.19/Optimus  

Sailor Enceladus wrote:
foxpup wrote:
Just 1 question: would it be possible to go from xorg 1.18 to 1.19?

There was a conversation about this earlier here
This was for another reason?
Sailor Enceladus wrote:
I tried to do a complete build with slacko-current for fun (but it's 32-bit)
http://www.murga-linux.com/puppy/viewtopic.php?p=959669#959669
Wow! I wish I was able to do that.
It could be interesting to try your build. But it also needs kernel 4.5 or later.

I think everything needed is already in the new stable Debian Stretch.

Fwiw, I think this Sunny Jim cracked it for Slackware, though I do not understand the whole thing:http://www.linuxquestions.org/questions/showthread.php?p=5713523
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 9374
Location: Charleston S.C. USA

PostPosted: Sat 29 Jul 2017, 14:32    Post subject:  

Slacko64 6.9.9.9 with Firefox esr built in..

Some info on getting Firefox esr updated.

Run menu->Setup->Update notices
If it lists a new version of Firefox esr.
Run PPM (Puppy Package Manager)
Update PPM data base.
Search in PPM for Firefox esr named in the Update notices.
Download and install.

Firefox esr now updated to that version.

Firefox esr->Help->Check for updates does not work.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
norgo


Joined: 13 Nov 2015
Posts: 146
Location: Germany

PostPosted: Sun 06 Aug 2017, 15:40    Post subject:  

Slacko 700 RC3
X-server doesn't start under use of Nvidia and Ati graphics

continuation conversation of this topic

today I tested the slacko 700 RC3 snapschot ( BUILD_FROM_WOOF='testing;bdab886;2017-07-29 17:54:31 +0800' ) on my neighbors computer with Nvidia graphis card because of the reported issue.
Unfortunately X-server did not start there in the same way like in case of @sc0ttman and @Billtoo .
To check my guess that the 20-intel.conf file could be the reason for this, I removed the

/etc/X11/xorg.conf.d/20-intel.conf

file of the puppy_slacko_6.9.9.9.sfs and tried a second test with the modified Live-CD.
Now system launched and worked without problems and I'm very sure this is the reason.

We should remove the workaround ( commit 1d091bc ) and offer a separately package instead.

Comment:
It's really sad to see that nobody who is using a computer with nvidia and ati graphics card was willing to do this test Sad
Back to top
View user's profile Send private message Visit poster's website 
foxpup


Joined: 29 Jul 2016
Posts: 238
Location: europa near northsea

PostPosted: Tue 08 Aug 2017, 06:27    Post subject: fltk packages
Subject description: fltk packages in slacko repo don't seem to be okay
 

I mentionned in some earlier message, I like the small webbrowser Dillo. So I decided to install it.
I used PPM. I updated PPM. But I did have some issues with PPM. For that, see my next message in this post.
Anyway, Dillo needs fltk. PPM offers packages in the slacko repo's: an old set and a newer set 's700'. Both do not work. They lack for example libfltk...
I installed fltk from the Slackware packages. Dillo works fine now Smile
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2529
Location: UK

PostPosted: Tue 08 Aug 2017, 07:01    Post subject: Re: fltk packages
Subject description: fltk packages in slacko repo don't seem to be okay
 

foxpup wrote:
I mentionned in some earlier message, I like the small webbrowser Dillo. So I decided to install it.
I used PPM. I updated PPM. But I did have some issues with PPM. For that, see my next message in this post.
Anyway, Dillo needs fltk. PPM offers packages in the slacko repo's: an old set and a newer set 's700'. Both do not work. They lack for example libfltk...
I installed fltk from the Slackware packages. Dillo works fine now Smile

confirmed, the fltk packages in the puppy-slackware repos (both 700 and 600) do not work ... they only contains the DEV files..

i compiled it and ended up with the same thing...

So then I needed to grab a .deb/.txz package manually from the web to get /usr/lib/libfltk.so.**...

Not sure if fltk and libfltk would be separate packages, but either way Slacko users have to find working Fltk libs for themselves atm...

Also, still on the 32-bit version, I noticed that in order to properly get rid of the (wbar style) taskbar/icon menu at the top, you must first set it to 'Always Visible', before you choose 'Delete Tray' ... Otherwise you get leftovers... took me a while to figure this out..

Also, when compiling stuff (usually old stuff) I frequently get a an error about a file called gtk-config is missing?

Code:
*** The gtk-config script installed by GTK could not be found
*** If GTK was installed in PREFIX, make sure PREFIX/bin is in
*** your path, or set the GTK_CONFIG environment variable to the
*** full path to gtk-config.
configure: error: Cannot find GTKL Is gtk-config in your path?


.. not sure what to do about it.. everything online just says "fix your PATH" ..

... Though more generally everything works lovely Smile

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search

Last edited by sc0ttman on Tue 08 Aug 2017, 09:00; edited 3 times in total
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 238
Location: europa near northsea

PostPosted: Tue 08 Aug 2017, 07:29    Post subject: Puppy package manager
Subject description: some issues with PPM
 

1.
When I installed Dillo with PPM, the PPM did not offer dependencies. Still, Dillo needs fltk. Checking the deps with 'check dependencies' does confirm that it needs fltk and that fltk is not there.
But looking for fltk with PPM, it says that fltk has already been installed. That is not so.
Fltk from slacko repo's is faulty (previous message), but DISTRO_PKGS_SPECS also states all is in devx:
yes|fltk||exe>dev,dev,doc>dev,nls. That is difficult to guess for a regular/noob puppy-user.

2.
When I installed Dillo with PPM, Dillo was offered from slackware64-14.2-extra. This is not the "extra" packages from Slackware, but from Salix!
It would be a good thing to offer the extra packages from Slackware as well. NB: I got fltk from extra at Slackware.
Back to top
View user's profile Send private message 
foxpup


Joined: 29 Jul 2016
Posts: 238
Location: europa near northsea

PostPosted: Tue 08 Aug 2017, 08:04    Post subject: Re: fltk packages
Subject description: fltk packages in slacko repo don't seem to be okay
 

sc0ttman wrote:
Also, I noticed that in order to properly get rid of the taskbar/icon menu at the top, you must first set it to 'Always Visible', before you choose 'Delete Tray' ... Otherwise you get leftovers... took me a while to figure this out..


... Though more generally everything works lovely Smile

Hi scOttman

I just read your message. I got rid of all bars, top and leftside, except for the "places" in the rightupper corner. And I have icons arranged on my desktop as in Tahr. But I don't know how I did it, it was not deliberate, I was just changing icon themes; must have clicked on something I don't understand Wink

You're right about Slacko 14.2 generally: it works very fast and it is smooth and beautiful. At the moment I like it even better then Tahr (or Xenial)! It should be the next puppy release.
There are already some very nice followup/derivative builds also: xslacko-slim and LxPupSc.
Slacko does very well now!!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 20 of 25 [374 Posts]   Goto page: Previous 1, 2, 3, ..., 18, 19, 20, 21, 22, 23, 24, 25 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0713s ][ Queries: 14 (0.0133s) ][ GZIP on ]